%define oname qcheck-ounit

Name:           ocaml-%{oname}
Version:        0.13
Release:        %mkrel 2
Summary:        OUnit backend for qcheck

Group:          Development/OCaml
License:        BSD
URL:            https://github.com/c-cube/qcheck/
Source0:        https://github.com/c-cube/qcheck/archive/%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam
BuildRequires:  ocaml-result-devel

BuildRequires:  ocaml-qcheck-core-devel = %{version}
BuildRequires:  ocaml-ounit-devel

%description
OUnit backend for qcheck

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n qcheck-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
dune runtest

%files
%license LICENSE
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/dune-package
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt*
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.13-2.mga8
+ Revision: 1670670
- Rebuild to generate ocamlx provides

* Sun Mar 01 2020 pterjan <pterjan> 0.13-1.mga8
+ Revision: 1552701
- imported package ocaml-qcheck-ounit

